/*  ==========================================================================
    Module: BUTTON
    ========================================================================== */
    
    /*  MIXIN
    ========================================================================== */

        @mixin button-style($bg-color, $border-color, $hover-bg-color, $hover-border-color, $active-bg-color, $active-border-color, $color, $hover-color, $box-shadow) {
            border-color: $border-color;
            background-color: $bg-color;
            color: $color;
            box-shadow: $box-shadow;

            &:hover {
                color: $hover-color;
                text-decoration: none;
                border-color: $hover-border-color;
                background-color: $hover-bg-color;
            }
            
            &.active,
            &.activated {
                border-color: $active-border-color;
                background-color: $active-bg-color;
            }
        }

    /*  STYLE
    ========================================================================== */

    // Button
    //
    // Your standard button suitable for clicking.
    //
    // Markup: forms-button.html
    //
    // Style guide: scss.framework._modules

    button::-moz-focus-inner,
    input::-moz-focus-inner
    {
        padding: 0;
        border: 0;
    }

    button:focus
    {
        outline: none;
    }

    .button
    {
        // set the color defaults
        @include button-style($button-default-bg, $button-default-border, $button-default-hover-bg, $button-default-hover-border, $button-default-active-bg, $button-default-active-border, $button-default-text, $button-default-hover-text, $button-default-box-shadow);

        position: relative;
        display: inline-block;
        margin: 0;
        padding: $button-padding;

        //min-width: ($button-padding * 2) + $button-font-size;

        border-width: $button-border-width;
        border-style: solid;
        border-radius: $button-border-radius;

        vertical-align: middle;
        text-align: center;

        text-overflow: ellipsis;
        @include rem(font-size, $button-font-size);
        line-height: $button-line-height;
        font-weight: $button-font-weight;

        cursor: pointer;
        transition: all 0.4s;
        -webkit-tap-highlight-color: $button-default-hover-bg;

        &.button--positive
        {
            @include button-style($button-positive-bg, $button-positive-border, $button-positive-hover-bg, $button-positive-hover-border, $button-positive-active-bg, $button-positive-active-border, $button-positive-text, $button-positive-hover-text, $button-positive-box-shadow);
            
            -webkit-tap-highlight-color: $button-positive-hover-bg;
        }
    }

    .button--mini
    {
        padding: $button-mini-padding;
        @include rem(font-size, $button-mini-font-size);
        line-height: $button-mini-line-height;

        .icon:before,
        &.icon:before,
        &.icon--left:before,
        &.icon--right:before
        {
            padding-bottom: ($button-border-width * 2);
            font-size: $button-mini-icon-size;
            line-height: $button-mini-line-height;
        }
    }